#include <iostream>

using namespace std;

int main()
{
    long long n,m;
    cin>>n>>m;
    long long resenje[m]={0};
    long long vage[n*2];
    for(long long i=0; i<n*2; i++)
    {
        cin>>vage[i];
    }
    for(long long i=0; i<m; i++)
    {
        long long mi,vi,k;
        cin>>mi>>vi>>k;
        for(long long j=(mi-1)*2; j<=(vi-1)*2; j+=2)
            if(k>=vage[j]&&k<=vage[j+1])
                resenje[i]++;
    }
    for(long long i=0; i<m-1; i++)
    {
        cout<<resenje[i]<<"\n";
    }
    cout<<resenje[m-1];
}